inetsim(1)

NAME
inetsim - Programm zur Simulation von Internet-Diensten

UEBERSICHT
inetsim [--config <Konfigurationsdatei>] [--version] [--data-dir <Datenverzeichnis>] [--log-dir <Logverzeichnis>] [--report-dir <Reportverzeichnis>] [--bind-address <IP-Adresse>] [--max-childs <maximale Anzahl der Kindprozesse>] [--user <Benutzername>] [--faketime-init-delta <anfaengliche Zeitdifferenz>] [--faketime-auto-delay <Zeitverzoegerung>] [--faketime-auto-incr <Schrittweite>] [--session <Name der Sitzung>] [--pidfile <PID-Datei>]

BESCHREIBUNG
INetSim simuliert gaengige Internet-Dienste wie DNS, HTTP, SMTP oder POP3.

OPTIONEN

--config <Konfigurationsdatei>
    Angabe einer alternativen Konfigurationsdatei. Standard ist conf/inetsim.conf im aktuellen Verzeichnis.

--version
    Ausgabe der Versionsinformation.

--data-dir <Datenverzeichnis>
    Angabe eines alternativen Datenverzeichnisses. Standard ist data/ im aktuellen Verzeichnis.

--log-dir <Logverzeichnis>
    Angabe eines alternativen Logverzeichnisses. Standard ist log/ im aktuellen Verzeichnis.

--report-dir <Reportverzeichnis>
    Angabe eines alternativen Reportverzeichnisses. Standard ist report/ im aktuellen Verzeichnis.

--bind-address <IP-Adresse>
    Angabe der IP-Adresse, unter welcher die Dienste lauschen sollen.

--max-childs <maximale Anzahl der Kindprozesse>
    Angabe der maximalen Anzahl der gestarteten Kindprozesse (Anzahl paralleler Verbindungen) fuer jeden Dienst. Standard ist 10.

--user <Benutzername>
    Angabe eines alternativen Benutzers, unter welchem die Dienste laufen sollen. Standard ist nobody.

--faketime-init-delta <anfaengliche Zeitdifferenz>
    Angabe der anfaenglichen Zeitdifferenz in Sekunden (positiv oder negativ) - relativ zum aktuellen Datum bzw. zur aktuellen Uhrzeit. Diese wird anstelle des Wertes aus der Konfigurationsdatei verwendet. Hinweis: Die Zeitdifferenz wird von allen Diensten beruecksichtigt. Standard ist 0 (aktuelles Datum/aktuelle Uhrzeit).

--faketime-auto-delay <Zeitverzoegerung>
    Angabe der Zeitverzoegerung in Sekunden, nach welcher die Zeitdifferenz regelmaessig entsprechend dem bei --faketime-auto-incr eingestellten Wert erhoeht oder verringert wird. Ein Wert von '0' schaltet diese Funktion ab. Standard ist 0 (ausgeschaltet).

--faketime-auto-incr <Schrittweite>
    Angabe der Schrittweite in Sekunden, um welche die Zeit in regelmaessigen Abstaenden erhoeht oder verringert wird. Diese Option ist nur wirksam, wenn bei --faketime-auto-delay die Zeitverzoegerung eingeschaltet ist (nicht auf '0' gesetzt). Standard ist 3600.

--session <Name der Sitzung>
    Angabe eines alternativen Sitzungsnamens. Standard ist die Prozess-ID des Hauptprogramms.

--pidfile <PID-Datei>
    Angabe einer alternativen PID-Datei. Standard ist /var/run/inetsim.pid.

BEISPIELE
Simulation mit Sitzungsnamen 'simtest5' starten

        # inetsim --session simtest5

Simulation mit Zeitsprung von einem Tag in die Zukunft nach jeweils 60 Sekunden starten

        # inetsim --faketime-auto-delay 60 --faketime-auto-incr 86400

dito, jedoch mit Zeitsprung in die Vergangenheit

        # inetsim --faketime-auto-delay 60 --faketime-auto-incr -86400

BENOETIGT
Perl 5, Net::Server, Net::DNS, IO::Socket, IPC::Shareable, Digest::SHA, nfqueue (optional)

AUTOREN
Matthias Eckert <me@inetsim.org>, Thomas Hungenberg <th@inetsim.org>